org.apache.ignite.startup.cmdline

## Class CdcCommandLineStartup

- java.lang.Object
- - org.apache.ignite.startup.cmdline.CdcCommandLineStartup

    public class CdcCommandLineStartup
    extends Object

This class defines command-line Ignite Capture Data Change startup. This startup can be used to start Ignite Capture Data Change application outside of any hosting environment from command line. This startup is a Java application with `main(String[])` method that accepts command line arguments. It accepts just one parameter which is Spring XML configuration file path. You can run this class from command line without parameters to get help message.

Note that scripts `${IGNITE_HOME}/bin/cdc.{sh|bat}` shipped with Ignite use this startup and you can use them as an example.

See Also:
  `CdcMain`

### Constructor Summary

Constructors
Constructor and Description
`CdcCommandLineStartup()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `main(String[] args)` Main entry point.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CdcCommandLineStartup

    public CdcCommandLineStartup()

### Method Detail

#### main

    public static void main(String[] args)

Main entry point.

Parameters:
  `args` - Command line arguments.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022